summaryrefslogtreecommitdiffstats
path: root/installer
diff options
context:
space:
mode:
authorramon <ramongomez@us.es>2016-04-07 11:27:41 +0000
committerramon <ramongomez@us.es>2016-04-07 11:27:41 +0000
commitc3e7c064389d485f4768bdf0d57213716fe71e20 (patch)
tree13a2b08bb8cc30cddceef0d507da77a5f157e472 /installer
parentd5bbc9ff8b25468c9517820e2591cf1be210a6f6 (diff)
#718: Integrar código fuente de agente OGAgent en rama de desarrollo.
git-svn-id: https://opengnsys.es/svn/branches/version1.1@4865 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'installer')
-rw-r--r--installer/README.es.txt11
-rwxr-xr-xinstaller/ogagent-devel-installer.sh96
-rw-r--r--installer/vagrant/Vagrantfile-ogagent-vbox2
3 files changed, 106 insertions, 3 deletions
diff --git a/installer/README.es.txt b/installer/README.es.txt
index 1b270926..a7879033 100644
--- a/installer/README.es.txt
+++ b/installer/README.es.txt
@@ -1,9 +1,10 @@
-OpenGnSys Installer README
+
+OpenGnsys Installer README
===============================
Este directorio contiene la documentación y los programas para instalar, actualizar y
-eliminar el Proyecto OpenGnSys.
+eliminar el Proyecto OpenGnsys.
- INSTALL.es.txt información de instalación y desinistalación
@@ -14,5 +15,11 @@ eliminar el Proyecto OpenGnSys.
- opengnsys_uninstall.sh programa de desinstalación del serviidor
- opengnsys_update.sh programa de actualización del serviidor
+- ogagent-devel-installer.sh programa de preparación del entorno de desarrollo y
+ compilación de agentes OGAgent para sistemas operativos
+
+- vagrant directorio con ficheros de configuración para despliegue
+ de entornos de prueba y desarrollo con Vagrant
+
- install_ticket_wolunicast.sh programa de instalación del parche para ejecutar
arranque Wake-On-Lan por IP usando protocolo Unicast
diff --git a/installer/ogagent-devel-installer.sh b/installer/ogagent-devel-installer.sh
new file mode 100755
index 00000000..d83c540b
--- /dev/null
+++ b/installer/ogagent-devel-installer.sh
@@ -0,0 +1,96 @@
+#!/bin/bash
+#/**
+#@file ogagent-devel-installer.sh
+#@brief Script to download and prepare the environmnt to compile OGAgent packages.
+#@warning Some operations need "root" privileges.
+#@note This script will make a "ogagent" directory with 1.5 GiB approx.
+#@version 1.0 - Initial version for OpenGnsys 1.1.0.
+#@author Ramón M. Gómez, ETSII Universidad de Sevilla
+#@date 2016-04-07
+#*/ ##
+
+
+# Variables.
+PROGDIR=$PWD/ogagent
+SVNURL=http://opengnsys.es/svn/branches/version1.1/admin/Sources/Clients/ogagent
+
+# Show prerequisites needed to build the environment.
+cat << EOT
+
+OGAgent devoloping environment installation
+
+Prerequisites:
+- Install packages, if needed:
+ - Wine for 32-bit with Winetricks
+ - Python 2.7 with pyqt4-dev-tools
+ - realpath
+ - dpkg-dev
+ - rpmbuild
+- Open a web browser and download Microsoft Visual C++ 2010 Redistributable Package (x86) from: http://www.microsoft.com/en-us/download/details.aspx?id=5555
+- Copy or move "vcredist_x86.exe" file to $PROGDIR directory.
+Press [Enter] key when ready to continue.
+EOT
+read
+
+# Importing OGAgent source code.
+mkdir -p $PROGDIR || exit 1
+svn export --force $SVNURL $PROGDIR || exit 1
+
+# Update PyQt components.
+pushd ogagent/src >/dev/null
+./update.sh
+popd >/dev/null
+
+# Showing instructions to configure Wine.
+cat << EOT
+
+Manual actions:
+- After all downloads, install Gecko for Wine, if needed.
+- Press [Esc] key or "Cancel" button on Winetricks screen.
+- Accept default settings for all other components
+- Uncheck all options on "Completing NSIS Setup" screen.
+Press [Enter] key to init downloads.
+
+EOT
+read
+
+# Downloading and configuring Wine prerequisites.
+pushd ogagent/windows >/dev/null
+./py2exe-wine-linux.sh
+cp -a build.bat ogagent.nsi ..
+ln -s ../../.. wine/drive_c/ogagent
+popd >/dev/null
+
+# Build OGAgent for GNU/Linux.
+pushd $PROGDIR/linux >/dev/null
+sudo ./build-packages.sh
+popd >/dev/null
+
+# Build OGAgent for Windows.
+pushd $PROGDIR/windows >/dev/null
+./build-windows.sh
+popd >/dev/null
+
+# Showing instructions to rebuild OGAgent packages.
+cat << EOT
+
+How to rebuild OGAgent packages
+-------------------------------
+OGAgent project source code is available in $PROGDIR/src directory.
+
+- Commands to update PyQt graphical components for OGAgnet:
+ cd $PROGDIR/src
+ ./update.sh
+
+- Commands to rebuild GNU/Linux packages:
+ cd $PROGDIR/linux
+ sudo ./build-packages.sh
+
+- Commands to rebuild Windows installer:
+ cd $PROGDIR/windows
+ ./build-windows.sh
+
+OGAgent packages will be created into $PROGDIR directory.
+
+EOT
+
diff --git a/installer/vagrant/Vagrantfile-ogagent-vbox b/installer/vagrant/Vagrantfile-ogagent-vbox
index 37f7e587..b41bc487 100644
--- a/installer/vagrant/Vagrantfile-ogagent-vbox
+++ b/installer/vagrant/Vagrantfile-ogagent-vbox
@@ -51,7 +51,7 @@ echo "Icon=/opt/eclipse/icon.xpm" >> /home/vagrant/Escritorio/eclipse.desktop
echo "Terminal=false" >> /home/vagrant/Escritorio/eclipse.desktop
chown -R vagrant.vagrant /home/vagrant/Escritorio
# Download OGAgent environment installer.
-svn export http://opengnsys.es/svn/branches/version1.1-tickets/OGAgent-ticket718/installer/ogagent-devel-installer.sh /home/vagrant
+svn export http://opengnsys.es/svn/branches/version1.1/installer/ogagent-devel-installer.sh /home/vagrant
# Instructions.
echo "Manual operations:"
echo "- Launch desktop: startxfce4 &"